Interface SmooksEndpointBuilderFactory.SmooksBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
SmooksEndpointBuilderFactory
public static interface SmooksEndpointBuilderFactory.SmooksBuilders
-
Method Summary
Modifier and TypeMethodDescriptionsmooks()Smooks (camel-smooks) Use Smooks to transform, route, and bind both XML and non-XML data, including EDI, CSV, JSON, and YAML.Smooks (camel-smooks) Use Smooks to transform, route, and bind both XML and non-XML data, including EDI, CSV, JSON, and YAML.Smooks (camel-smooks) Use Smooks to transform, route, and bind both XML and non-XML data, including EDI, CSV, JSON, and YAML.
-
Method Details
-
smooks
Smooks (camel-smooks) Use Smooks to transform, route, and bind both XML and non-XML data, including EDI, CSV, JSON, and YAML. Category: transformation Since: 4.7 Maven coordinates: org.apache.camel:camel-smooks- Returns:
- the dsl builder for the headers' name.
-
smooks
Smooks (camel-smooks) Use Smooks to transform, route, and bind both XML and non-XML data, including EDI, CSV, JSON, and YAML. Category: transformation Since: 4.7 Maven coordinates: org.apache.camel:camel-smooks Syntax:smooks:smooksConfigPath parameter: smooksConfig (required) Path to the Smooks configuration file This option can also be loaded from an existing file, by prefixing with file: or classpath: followed by the location of the file.- Parameters:
path- smooksConfig- Returns:
- the dsl builder
-
smooks
default SmooksEndpointBuilderFactory.SmooksEndpointBuilder smooks(String componentName, String path) Smooks (camel-smooks) Use Smooks to transform, route, and bind both XML and non-XML data, including EDI, CSV, JSON, and YAML. Category: transformation Since: 4.7 Maven coordinates: org.apache.camel:camel-smooks Syntax:smooks:smooksConfigPath parameter: smooksConfig (required) Path to the Smooks configuration file This option can also be loaded from an existing file, by prefixing with file: or classpath: followed by the location of the file.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- smooksConfig- Returns:
- the dsl builder
-